#2606 closed defect (fixed)

alarm() uses seconds watchdog and thus is affected by clock changes

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: posix Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

alarm() uses _Watchdog_Insert_seconds() and thus is affected by clock changes, e.g. via _TOD_Set(). This is wrong. The POSIX documentation is not that clear since it talks only about "realtime seconds". However, the FreeBSD implementation uses the uptime. This is also in line with the RTEMS ualarm() and nanosleep().

Change History (6)

comment:1 Changed on Feb 22, 2016 at 8:17:07 AM by Sebastian Huber <sebastian.huber@…>

In 452f6ba9d193e0937f94432459c74122ea345e74/rtems:

psxtests/psxalarm01: Add adjtime() test case

Update #2606.

comment:2 Changed on Feb 22, 2016 at 1:08:54 PM by Sebastian Huber

Status: newaccepted

comment:3 Changed on Mar 4, 2016 at 2:01:04 PM by Sebastian Huber

Resolution: fixed
Status: acceptedclosed

comment:4 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on Oct 16, 2017 at 6:23:11 AM by Sebastian Huber

Component: unspecifiedposix

comment:6 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.